%define anolis_release 34

Name:           perl-File-Find-Iterator
Version:        0.4
Release:        %{anolis_release}%{?dist}
Summary:        Iterator interface for search files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Find-Iterator
Source0:        https://cpan.metacpan.org/authors/id/T/TE/TEXMEC/File-Find-Iterator-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Iterator) >= 0.1
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::Dir)
BuildRequires:  perl(Storable) >= 2.04
BuildRequires:  perl(vars)
BuildRequires:  perl(File::Spec) >= 0.19
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Test::More)
Requires:       perl(Class::Iterator) >= 0.1
Requires:       perl(Storable) >= 2.04

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Class::Iterator|Storable)\\)$

%description
Find::File::Iterator is an iterator object for searching through directory
trees. You can easily run filter on each file name. You can easily save
the search state when you want to stop the search and continue the same
search later.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{EVR}
Requires:       perl-Test-Harness

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n File-Find-Iterator-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*
# Install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README

%files tests
%{_libexecdir}/%{name}

%changelog
* Tue Apr 18 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.4-34
- optimise spec and remove unwanted patches

* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.4-33
- Import package for anolis 23
